#----------------------------------------------------------------
# Generated CMake target import file for configuration "Gentoo".
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Import target "opencv_hal" for configuration "Gentoo"
set_property(TARGET opencv_hal APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_hal PROPERTIES
  IMPORTED_LINK_INTERFACE_LANGUAGES_GENTOO "CXX"
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "dl;m;pthread;rt;/usr/lib/libGLU.so;/usr/lib/libGL.so;tbb"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_hal.a"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_hal )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_hal "${_IMPORT_PREFIX}/lib/libopencv_hal.a" )

# Import target "opencv_core" for configuration "Gentoo"
set_property(TARGET opencv_core APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_core PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_core.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_core.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_core )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_core "${_IMPORT_PREFIX}/lib/libopencv_core.so.3.0.0" )

# Import target "opencv_flann" for configuration "Gentoo"
set_property(TARGET opencv_flann APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_flann PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal;opencv_core"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_flann.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_flann.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_flann )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_flann "${_IMPORT_PREFIX}/lib/libopencv_flann.so.3.0.0" )

# Import target "opencv_imgproc" for configuration "Gentoo"
set_property(TARGET opencv_imgproc APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_imgproc PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal;opencv_core"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_imgproc.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_imgproc.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_imgproc )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_imgproc "${_IMPORT_PREFIX}/lib/libopencv_imgproc.so.3.0.0" )

# Import target "opencv_ml" for configuration "Gentoo"
set_property(TARGET opencv_ml APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_ml PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal;opencv_core"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_ml.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_ml.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_ml )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_ml "${_IMPORT_PREFIX}/lib/libopencv_ml.so.3.0.0" )

# Import target "opencv_photo" for configuration "Gentoo"
set_property(TARGET opencv_photo APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_photo PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal;opencv_core;opencv_imgproc"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_photo.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_photo.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_photo )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_photo "${_IMPORT_PREFIX}/lib/libopencv_photo.so.3.0.0" )

# Import target "opencv_video" for configuration "Gentoo"
set_property(TARGET opencv_video APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_video PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal;opencv_core;opencv_imgproc"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_video.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_video.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_video )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_video "${_IMPORT_PREFIX}/lib/libopencv_video.so.3.0.0" )

# Import target "opencv_imgcodecs" for configuration "Gentoo"
set_property(TARGET opencv_imgcodecs APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_imgcodecs PROPERTIES
  IMPORTED_LINK_DEPENDENT_LIBRARIES_GENTOO "opencv_core;opencv_imgproc"
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO ""
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_imgcodecs.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_imgcodecs.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_imgcodecs )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_imgcodecs "${_IMPORT_PREFIX}/lib/libopencv_imgcodecs.so.3.0.0" )

# Import target "opencv_shape" for configuration "Gentoo"
set_property(TARGET opencv_shape APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_shape PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal;opencv_core;opencv_imgproc;opencv_video"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_shape.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_shape.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_shape )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_shape "${_IMPORT_PREFIX}/lib/libopencv_shape.so.3.0.0" )

# Import target "opencv_videoio" for configuration "Gentoo"
set_property(TARGET opencv_videoio APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_videoio PROPERTIES
  IMPORTED_LINK_DEPENDENT_LIBRARIES_GENTOO "opencv_core;opencv_imgproc;opencv_imgcodecs"
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO ""
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_videoio.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_videoio.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_videoio )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_videoio "${_IMPORT_PREFIX}/lib/libopencv_videoio.so.3.0.0" )

# Import target "opencv_highgui" for configuration "Gentoo"
set_property(TARGET opencv_highgui APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_highgui PROPERTIES
  IMPORTED_LINK_DEPENDENT_LIBRARIES_GENTOO "opencv_core;opencv_imgproc;opencv_imgcodecs;opencv_videoio"
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO ""
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_highgui.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_highgui.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_highgui )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_highgui "${_IMPORT_PREFIX}/lib/libopencv_highgui.so.3.0.0" )

# Import target "opencv_objdetect" for configuration "Gentoo"
set_property(TARGET opencv_objdetect APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_objdetect PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal;opencv_core;opencv_imgproc;opencv_ml;opencv_imgcodecs;opencv_videoio;opencv_highgui"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_objdetect.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_objdetect.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_objdetect )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_objdetect "${_IMPORT_PREFIX}/lib/libopencv_objdetect.so.3.0.0" )

# Import target "opencv_superres" for configuration "Gentoo"
set_property(TARGET opencv_superres APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_superres PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal;opencv_core;opencv_imgproc;opencv_video;opencv_imgcodecs;opencv_videoio"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_superres.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_superres.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_superres )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_superres "${_IMPORT_PREFIX}/lib/libopencv_superres.so.3.0.0" )

# Import target "opencv_ts" for configuration "Gentoo"
set_property(TARGET opencv_ts APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_ts PROPERTIES
  IMPORTED_LINK_INTERFACE_LANGUAGES_GENTOO "CXX"
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal;opencv_core;opencv_imgproc;opencv_imgcodecs;opencv_videoio;opencv_highgui;dl;m;pthread;rt;/usr/lib/libGLU.so;/usr/lib/libGL.so;tbb"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_ts.a"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_ts )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_ts "${_IMPORT_PREFIX}/lib/libopencv_ts.a" )

# Import target "opencv_features2d" for configuration "Gentoo"
set_property(TARGET opencv_features2d APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_features2d PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal;opencv_core;opencv_flann;opencv_imgproc;opencv_ml;opencv_imgcodecs;opencv_videoio;opencv_highgui"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_features2d.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_features2d.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_features2d )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_features2d "${_IMPORT_PREFIX}/lib/libopencv_features2d.so.3.0.0" )

# Import target "opencv_calib3d" for configuration "Gentoo"
set_property(TARGET opencv_calib3d APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_calib3d PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal;opencv_core;opencv_flann;opencv_imgproc;opencv_ml;opencv_imgcodecs;opencv_videoio;opencv_highgui;opencv_features2d"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_calib3d.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_calib3d.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_calib3d )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_calib3d "${_IMPORT_PREFIX}/lib/libopencv_calib3d.so.3.0.0" )

# Import target "opencv_stitching" for configuration "Gentoo"
set_property(TARGET opencv_stitching APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_stitching PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal;opencv_core;opencv_flann;opencv_imgproc;opencv_ml;opencv_imgcodecs;opencv_videoio;opencv_highgui;opencv_objdetect;opencv_features2d;opencv_calib3d"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_stitching.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_stitching.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_stitching )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_stitching "${_IMPORT_PREFIX}/lib/libopencv_stitching.so.3.0.0" )

# Import target "opencv_videostab" for configuration "Gentoo"
set_property(TARGET opencv_videostab APPEND PROPERTY IMPORTED_CONFIGURATIONS GENTOO)
set_target_properties(opencv_videostab PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_GENTOO "opencv_hal;opencv_core;opencv_flann;opencv_imgproc;opencv_ml;opencv_photo;opencv_video;opencv_imgcodecs;opencv_videoio;opencv_highgui;opencv_features2d;opencv_calib3d"
  IMPORTED_LOCATION_GENTOO "${_IMPORT_PREFIX}/lib/libopencv_videostab.so.3.0.0"
  IMPORTED_SONAME_GENTOO "libopencv_videostab.so.3.0"
  )

list(APPEND _IMPORT_CHECK_TARGETS opencv_videostab )
list(APPEND _IMPORT_CHECK_FILES_FOR_opencv_videostab "${_IMPORT_PREFIX}/lib/libopencv_videostab.so.3.0.0" )

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
